<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: stack/src/stack/stack.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ab51a11a65415835ab0b627ec1ba1885.html">stack</a></li><li class="navelem"><a class="el" href="dir_61f884239e7b9d662572355c29328680.html">src</a></li><li class="navelem"><a class="el" href="dir_7f90c3d965de0e82fe4c04904f65e6da.html">stack</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">stack.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file contains declaration of stack.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;errorCodes/errorCodes.h&gt;</code><br />
<code>#include &lt;stack/stack_export.h&gt;</code><br />
</div>
<p><a href="stack_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStack.html">Stack</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This struct represents simple uint32_t stack.  <a href="structStack.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:acccdaeb94a63f3757825012007215c0d"><td class="memItemLeft" align="right" valign="top"><a id="acccdaeb94a63f3757825012007215c0d"></a>
typedef struct <a class="el" href="structStack.html">Stack</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#acccdaeb94a63f3757825012007215c0d">Stack</a></td></tr>
<tr class="memdesc:acccdaeb94a63f3757825012007215c0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">shortcut <br /></td></tr>
<tr class="separator:acccdaeb94a63f3757825012007215c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a597cb5a7133e90d0417f04faba12336f"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a597cb5a7133e90d0417f04faba12336f">stack_init</a> (<a class="el" href="structStack.html">Stack</a> *const stack, uint32_t elementSize)</td></tr>
<tr class="memdesc:a597cb5a7133e90d0417f04faba12336f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function inits stack.  <a href="#a597cb5a7133e90d0417f04faba12336f">More...</a><br /></td></tr>
<tr class="separator:a597cb5a7133e90d0417f04faba12336f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7303fa944dbb7badfba5a793eefc1fac"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a7303fa944dbb7badfba5a793eefc1fac">stack_free</a> (<a class="el" href="structStack.html">Stack</a> *const stack)</td></tr>
<tr class="memdesc:a7303fa944dbb7badfba5a793eefc1fac"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function frees stack.  <a href="#a7303fa944dbb7badfba5a793eefc1fac">More...</a><br /></td></tr>
<tr class="separator:a7303fa944dbb7badfba5a793eefc1fac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae547df08a9392b3e35f05f1e45b67027"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#ae547df08a9392b3e35f05f1e45b67027">stack_empty</a> (<a class="el" href="structStack.html">Stack</a> const *const stack)</td></tr>
<tr class="memdesc:ae547df08a9392b3e35f05f1e45b67027"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns 1 if the stack is empty.  <a href="#ae547df08a9392b3e35f05f1e45b67027">More...</a><br /></td></tr>
<tr class="separator:ae547df08a9392b3e35f05f1e45b67027"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81a83ab7efd7c040d09b33bfa23736f7"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a81a83ab7efd7c040d09b33bfa23736f7">stack_size</a> (<a class="el" href="structStack.html">Stack</a> const *const stack)</td></tr>
<tr class="memdesc:a81a83ab7efd7c040d09b33bfa23736f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the number of size in the stack.  <a href="#a81a83ab7efd7c040d09b33bfa23736f7">More...</a><br /></td></tr>
<tr class="separator:a81a83ab7efd7c040d09b33bfa23736f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa54375167ecc90e7fb833865a72f96ad"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#aa54375167ecc90e7fb833865a72f96ad">stack_elementSize</a> (<a class="el" href="structStack.html">Stack</a> const *const stack)</td></tr>
<tr class="memdesc:aa54375167ecc90e7fb833865a72f96ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the element reserved in bytes.  <a href="#aa54375167ecc90e7fb833865a72f96ad">More...</a><br /></td></tr>
<tr class="separator:aa54375167ecc90e7fb833865a72f96ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68b4d31591b5d6e13fa3631031cfa578"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a68b4d31591b5d6e13fa3631031cfa578">stack_push</a> (<a class="el" href="structStack.html">Stack</a> *const stack, void const *const value)</td></tr>
<tr class="memdesc:a68b4d31591b5d6e13fa3631031cfa578"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pushes a new value to the stack.  <a href="#a68b4d31591b5d6e13fa3631031cfa578">More...</a><br /></td></tr>
<tr class="separator:a68b4d31591b5d6e13fa3631031cfa578"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a428f0932e2279be42f5e3afa1c740f66"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a428f0932e2279be42f5e3afa1c740f66">stack_pop</a> (<a class="el" href="structStack.html">Stack</a> *const stack, void *const value)</td></tr>
<tr class="memdesc:a428f0932e2279be42f5e3afa1c740f66"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pops size from the stack.  <a href="#a428f0932e2279be42f5e3afa1c740f66">More...</a><br /></td></tr>
<tr class="separator:a428f0932e2279be42f5e3afa1c740f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19d52057db00f64ddf153532adf42756"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a19d52057db00f64ddf153532adf42756">stack_top</a> (<a class="el" href="structStack.html">Stack</a> *const stack)</td></tr>
<tr class="memdesc:a19d52057db00f64ddf153532adf42756"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return pointer to the top of the stack - last element.  <a href="#a19d52057db00f64ddf153532adf42756">More...</a><br /></td></tr>
<tr class="separator:a19d52057db00f64ddf153532adf42756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6bcd90d757e5fc6ff6f19f840134458"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#aa6bcd90d757e5fc6ff6f19f840134458">stack_at</a> (<a class="el" href="structStack.html">Stack</a> const *const stack, uint32_t i)</td></tr>
<tr class="memdesc:aa6bcd90d757e5fc6ff6f19f840134458"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to an element.  <a href="#aa6bcd90d757e5fc6ff6f19f840134458">More...</a><br /></td></tr>
<tr class="separator:aa6bcd90d757e5fc6ff6f19f840134458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad38a822e2bc5988e8df9e92aba16018"><td class="memItemLeft" align="right" valign="top">STACK_EXPORT int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#aad38a822e2bc5988e8df9e92aba16018">stack_contain</a> (<a class="el" href="structStack.html">Stack</a> const *const stack, void *d)</td></tr>
<tr class="memdesc:aad38a822e2bc5988e8df9e92aba16018"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function check if stack contain a value.  <a href="#aad38a822e2bc5988e8df9e92aba16018">More...</a><br /></td></tr>
<tr class="separator:aad38a822e2bc5988e8df9e92aba16018"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains declaration of stack. </p>
<dl class="section author"><dt>Author</dt><dd>Tomáš Milet, <a href="#" onclick="location.href='mai'+'lto:'+'imi'+'le'+'t@f'+'it'+'.vu'+'tb'+'r.c'+'z'; return false;">imile<span style="display: none;">.nosp@m.</span>t@fi<span style="display: none;">.nosp@m.</span>t.vut<span style="display: none;">.nosp@m.</span>br.c<span style="display: none;">.nosp@m.</span>z</a> </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="aa6bcd90d757e5fc6ff6f19f840134458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6bcd90d757e5fc6ff6f19f840134458">&#9670;&nbsp;</a></span>stack_at()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT void* stack_at </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns pointer to an element. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">i</td><td>index of the element, 0 - deepest</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element or NULL </dd></dl>

</div>
</div>
<a id="aad38a822e2bc5988e8df9e92aba16018"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad38a822e2bc5988e8df9e92aba16018">&#9670;&nbsp;</a></span>stack_contain()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT int stack_contain </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function check if stack contain a value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">d</td><td>point to value</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 if the stack contain the element, 0 otherwise </dd></dl>

</div>
</div>
<a id="aa54375167ecc90e7fb833865a72f96ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa54375167ecc90e7fb833865a72f96ad">&#9670;&nbsp;</a></span>stack_elementSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT uint32_t stack_elementSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the element reserved in bytes. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element reserved in bytes </dd></dl>

</div>
</div>
<a id="ae547df08a9392b3e35f05f1e45b67027"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae547df08a9392b3e35f05f1e45b67027">&#9670;&nbsp;</a></span>stack_empty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT int stack_empty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns 1 if the stack is empty. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 if stack is empty, 0 otherwise </dd></dl>

</div>
</div>
<a id="a7303fa944dbb7badfba5a793eefc1fac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7303fa944dbb7badfba5a793eefc1fac">&#9670;&nbsp;</a></span>stack_free()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT void stack_free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function frees stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a597cb5a7133e90d0417f04faba12336f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a597cb5a7133e90d0417f04faba12336f">&#9670;&nbsp;</a></span>stack_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT void stack_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>elementSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function inits stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">elementSize</td><td>size of one element in bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a428f0932e2279be42f5e3afa1c740f66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a428f0932e2279be42f5e3afa1c740f66">&#9670;&nbsp;</a></span>stack_pop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT ErrorCode stack_pop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *const&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pops size from the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">value</td><td>the size value of the stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>return ERR_OK on success </dd></dl>

</div>
</div>
<a id="a68b4d31591b5d6e13fa3631031cfa578"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68b4d31591b5d6e13fa3631031cfa578">&#9670;&nbsp;</a></span>stack_push()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT ErrorCode stack_push </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void const *const&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pushes a new value to the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">value</td><td>a new value</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>return ERR_OK on success </dd></dl>

</div>
</div>
<a id="a81a83ab7efd7c040d09b33bfa23736f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81a83ab7efd7c040d09b33bfa23736f7">&#9670;&nbsp;</a></span>stack_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT uint32_t stack_size </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the number of size in the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>number of size in the stack </dd></dl>

</div>
</div>
<a id="a19d52057db00f64ddf153532adf42756"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19d52057db00f64ddf153532adf42756">&#9670;&nbsp;</a></span>stack_top()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">STACK_EXPORT void* stack_top </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function return pointer to the top of the stack - last element. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the top of the stack - last element </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
